Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Support for the PVK (Private Key) file format. More details about the PVK file format can be found at http://www.drh-consultancy.demon.co.uk/pvk.html
- Constructor
  Construct an empty instance of PrivateKey.
  This constructor is normally used to create a new PVK file.
  1.0.5000.0
  2.0.0.0
- Constructor
  a byte array containing the content of a PVK file.
  the password to decrypt the private key file.
  Contruct a PrivateKey instance based on the data supplied.
  A null password will load the PVK file without trying to decrypt it.
  1.0.5000.0
  2.0.0.0
- Method
  Mono.Security.Authenticode.PrivateKey `` a representing the filename under which the private key will be loaded. Create a PrivateKey object from the specified file. a object containing the loaded private key. A will be thrown if the file doesn't contain a valid private key. This can either be due to a bad, or missing, password or a bad file format. 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.Authenticode.PrivateKey `` `` a representing the filename under which the private key will be loaded. the password to decrypt the private key file. Create a PrivateKey object from the specified file and password. a object containing the loaded and, if required, decrypted private key. A will be thrown if the file doesn't contain a valid private key. This can either be due to a bad, or missing, password or a bad file format. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Encryption state of the encoded private key. True if the PVK buffer was encrypted, false otherwise. The private key is always decrypted when in memory. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Get or set the intended key usage for the private key. a indicating the private key intended usage. Default to 2. The utility MakeCert requires the private keys inside PVK files to have a KeyType equals to 2 (signing). 1.0.5000.0 2.0.0.0
- Property
  System.Security.Cryptography.RSA The RSA instance containing the private key. a instance containing the private key. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a representing the filename under which the private key will be saved. Save the current private key without a password. WARNING: Private keys saved without password aren't encrypted. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a representing the filename under which the private key will be saved. a representing the password used to encrypt the private key. Save the current private key encrypted with the specified password.

  The level of encryption will depends on the Weak property. If Weak is true then the encryption will be limited to 40 bits. By default Weak is false and the private keys are encrypted with a 128 bits key.

  WARNING: A null password will result in no encryption.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean Return if the current encryption of the encoded private key is weak (40 bits or no encryption). True if the private key was encrypted using a 40 bits key (or not encrypted). False if the private key is encrypted using a 128 bits key. Returns true if the private key isn't encrypted (as no encryption is a very weak encryption). 1.0.5000.0 2.0.0.0